package FusionInventory::Agent::Task::Inventory::Generic;

use strict;
use warnings;

use parent 'FusionInventory::Agent::Task::Inventory::Module';

use English qw(-no_match_vars);
use Net::Domain qw(hostfqdn hostdomain);
use FusionInventory::Agent::Tools;

sub isEnabled {
    return 1;
}

# Must be enabled to support few Generic sub-modules
sub isEnabledForRemote {
    return 1;
}

sub doInventory {
    my (%params) = @_;

    my $inventory = $params{inventory};

    my $FQDN = hostfqdn();
    # Sometimes hostfqdn is empty so we replace it with hostname
    if (!defined($FQDN) || $FQDN eq "") {
      my $command = $OSNAME eq 'linux' ? 'hostname --fqdn' : 'hostname';
      $FQDN = getFirstLine(
        command => $command
      );
    }

    $inventory->setOperatingSystem({
            KERNEL_NAME => $OSNAME,
            FQDN => $FQDN,
            DNS_DOMAIN => hostdomain()
    });
}

1;
